Zum Inhalt wechseln


Foto

VMware vCenter Server 6.5-Upgrade - Error: Certificate has expired

Windows Server 2008 R2

  • Bitte melde dich an um zu Antworten
7 Antworten in diesem Thema

#1 OnkelGauss

OnkelGauss

    Member

  • 303 Beiträge

 

Geschrieben 25. Januar 2017 - 16:37

Hallo zusammen

 

Versuche seit Stunden unseren vCenter Server von 6.0 (Update 2) auf 6.5 zu aktualisieren ...

 

Alle Zertifikate wurden mit dem Certificate Manager aktualisiert und alle Dienste laufen, aber nach der Eingabe der Zugangsdaten beim Pre-Upgrade-Check erhalte ich die folgende Fehlermeldung: Error: Certificate has expired, Resolution: Regenerate certificates for sso and try again

 

Logfile:

2017-01-25 16:52:57.906+01:00| vcsInstUtil-4602587| I: ParsePreUpgradeOutput: Processing pre-upgrade for component [upgrade_framework]
2017-01-25 16:52:57.906+01:00| vcsInstUtil-4602587| I: ParsePreUpgradeOutput: Export disk req: [0 MB], Import disk req: [0 MB].
2017-01-25 16:52:57.906+01:00| vcsInstUtil-4602587| I: ParsePreUpgradeOutput: IC host: 127.0.0.1.
2017-01-25 16:52:57.906+01:00| vcsInstUtil-4602587| I: ParsePreUpgradeOutput: IC port: 7444.
2017-01-25 16:52:57.906+01:00| vcsInstUtil-4602587| I: ParsePreUpgradeOutput: IC URL: /sso-adminserver/sdk/vsphere.local.
2017-01-25 16:52:57.906+01:00| vcsInstUtil-4602587| I: ProcessInstallArguments: processing installArguments for upgrade_framework
2017-01-25 16:52:57.907+01:00| vcsInstUtil-4602587| I: ProcessInstallArguments: vmdir.ldu-guid = 42a31832-xxx
2017-01-25 16:52:57.907+01:00| vcsInstUtil-4602587| I: ProcessInstallArguments: vmdir.site-guid = 42a31831-xxx
2017-01-25 16:52:57.909+01:00| vcsInstUtil-4602587| I: PitCA_MessageBox: Displaying message: "Error: Certificate has expired
Resolution: Regenerate certificates for sso and try again"
2017-01-25 16:56:15.183+01:00| vcsInstUtil-4602587| I: Leaving function: ParsePreUpgradeOutput
2017-01-25 16:56:15.186+01:00| vcsInstUtil-4602587| I: Leaving function: LaunchUpgradeRunnerPreUpgradePhase
2017-01-25 16:56:24.438+01:00| vcsInstUtil-4602587| I: Entering function: VM_FinishInstallWithCancel
2017-01-25 16:56:24.438+01:00| vcsInstUtil-4602587| I: InstallStatus_SetStage: install stage: install-end / (NULL)

 

PreInstall Validation Report for VMware vCenter Server v6.5.0: Alles auf "Success".

 

Internet Explorer-Aufruf von https://127.0.0.1/ss...k/vsphere.local --> Mismatched Address --> Aufruf via FQDN --> Funzt

 

Alle Zertifikate wurden auf den FQDN ausgestellt und alle Dienste wurden auch mit diesem konfiguriert, aber beim Pre-Upgrade-Check wird scheinbar 127.0.0.1 verwendet, wodurch wohl die Zertifikate nicht akzeptiert werden.

 

Hoffe es hat jemand einen Tipp, warum oder von wo das Setup die IP-Adresse 127.0.0.1 nimmt, was ich noch prüfen könnte oder was ich falsch mache ;-)


Gruss OnkelGauss

#2 fatalio

fatalio

    Newbie

  • 4 Beiträge

 

Geschrieben 09. März 2017 - 12:30

Hallo,

 

hab das selbe Problem - Lösung noch nicht in Sicht....

 

bei dir?



#3 DMBrosig

DMBrosig

    Newbie

  • 1 Beiträge

 

Geschrieben 04. Mai 2017 - 09:24

Hallo OnkelGauss,

 

vielleicht interressiert Dich noch die Lösung...

 

Das fehlerhafte Zertifikat wird bei mir mit Aufruf "https:/127.0.0.1:7444" angezeigt. Ich habe auch alle echten Zertifikate mit den offiziellen Tools gesetzt, aber das des SSO-Services war noch ein altes.

 

Die Dateien liegen unter c:\ProgramData\VMware\vCenterServer\runtime\VMwareSTSService\conf. Dort ssoserver.crt und ssoserver.p12 ersetzen. In der server.xml sind die Werte "keyAlias" und "keystorePass" korrekt zu setzen. Alternativ kannst Du Dir auch die ssoserver.p12 mit Namen "ssoserver" und Passwort "changeme" bauen.

 

Neustart: fertig.

 

Mfg Dirk



#4 zahni

zahni

    Expert Member

  • 16.520 Beiträge

 

Geschrieben 04. Mai 2017 - 10:36

Dafür gibt es  ein Tool:

 

https://kb.vmware.co...ernalId=2097936

 

Ansonsten steht da  garantiert was in der  Doku...


Wen du nicht mit Können beeindrucken kannst, den verwirre mit Schwachsinn!


#5 Squire

Squire

    Board Veteran

  • 3.374 Beiträge

 

Geschrieben 12. Mai 2017 - 13:16

Kleiner Tipp am Rande:

 

Nicht auf vCenter 6.0U3 Updaten - damit geht kein Update auf die 6.5 ... in die Falle bin ich gelaufen, irgendwann im Juli/August wird eine neuere 6.5er erscheinen und dann könnte das Update möglich sein (Aussage VMware Support)


"Every once in a while, declare peace. It confuses the hell out of your enemies"


#6 DocData

DocData

    Board Veteran

  • 1.318 Beiträge

 

Geschrieben 14. Mai 2017 - 19:19

Das war schon immer so. 6.0U3 ist NEUER als 6.5 GA. Es war noch nie supported von neueren Vorversionen zu updaten. Da gibt ws sogar KB Artikel zu.

Ein Wrack ist kein Ort, an dem ein Schatz schlummert...


#7 zahni

zahni

    Expert Member

  • 16.520 Beiträge

 

Geschrieben 15. Mai 2017 - 07:38

Gilt das auch für 6.5.0d? Die ist neuer als 6.0 U3b.

Finde leider bei Google keine passende  Info...


Wen du nicht mit Können beeindrucken kannst, den verwirre mit Schwachsinn!


#8 DocData

DocData

    Board Veteran

  • 1.318 Beiträge

 

Geschrieben 15. Mai 2017 - 10:52

Ja.


Ein Wrack ist kein Ort, an dem ein Schatz schlummert...




Auch mit einem oder mehreren der folgenden Tags versehen: Windows Server 2008 R2